MuldeR's Utilities for Qt MUtilities

Public Types | Public Member Functions | Static Public Attributes | List of all members
MUtils::IPCChannel Class Reference

## Public Types
enum | ipc_result_t { RET_SUCCESS_MASTER = 0, RET_SUCCESS_SLAVE = 1, RET_ALREADY_INITIALIZED = 2, RET_FAILURE = 3 }

## Public Member Functions
| IPCChannel (const QString &applicationId, const quint32 &versionNo, const QString &channelId)
int | initialize (void)
bool | send (const quint32 &command, const quint32 &flags, const QStringList &params=QStringList())
bool | read (quint32 &command, quint32 &flags, QStringList &params)

## Static Public Attributes
static const quint32 | MAX_PARAM_LEN = 4096
static const quint32 | MAX_PARAM_CNT = 4

The documentation for this class was generated from the following file:

- include/MUtils/IPCChannel.h